{% extends "base.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
    <br>
    <h2>Network Service Orders<br><small class="text-muted">(TMF641 ServiceOrder)</small></h2>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th>#</th>
                <th>OrderDate</th>
                <th>ExternalID</th>
                <th>Service Instance Id</th>
                <th>Service <br> Instance <br> Name</th>
                <th>Description</th>
                <th>OrderState</th>
                <th>action</th>
                <th>ServiceState</th>
                <th>OrderId</th>
                <th>Message</th>
            </tr>
            </thead>
            <tbody>
            {% for service_order in service_orders | reverse %}
            <tr>
              <td>
                  <class="service_order" type="text" id="{{loop.index}}" name="{{loop.index}}"
                  value="{{loop.index}}">{{loop.index}}
              </td>
              <td>
                  <class="service_order" type="text" id="orderDate_{{loop.index}}" name="orderDate_{{loop.index}}"
                  value="{{service_order['orderDate']}}">{{service_order['orderDate']}}
              </td>
              <td>
                  <class="service_order" type="text" id="externalId_{{loop.index}}" name="externalId_{{loop.index}}"
                  value="{{service_order['externalId']}}">{{service_order['externalId']}}
              </td>
              <td>
                  <class="service_order" type="text" id="instance_id_{{loop.index}}" name="instance_id_{{loop.index}}"
                  value="{{service_order['orderItem'][0]['service']['id']}}">{{service_order['orderItem'][0]['service']['id']}}
              </td>
              <td>
                  <class="service_order" type="text" id="name_{{loop.index}}" name="name_{{loop.index}}"
                  value="{{service_order['orderItem'][0]['service']['name']}}">{{service_order['orderItem'][0]['service']['name']}}
              </td>
              <td>
                  <class="service_order" type="text" id="description_{{loop.index}}" name="description_{{loop.index}}"
                  value="{{service_order['description']}}">{{service_order['description']}}
              </td>
              <td>
                  <class="service_order" type="text" id="state_{{loop.index}}" name="state_{{loop.index}}"
                  value="{{service_order['state']}}">{{service_order['state']}}
              </td>
              <td>
                  <class="service_order" type="text" id="action_{{loop.index}}" name="action_{{loop.index}}"
                  value="{{service_order['orderItem'][0]['action']}}">{{service_order['orderItem'][0]['action']}}
              </td>
              <td>
                  <class="service_order" type="text" id="serviceState_{{loop.index}}" name="serviceState_{{loop.index}}"
                  value="{{service_order['orderItem'][0]['service']['serviceState']}}">{{service_order['orderItem'][0]['service']['serviceState']}}
              </td>
              <td>
                  <class="service" type="text" id="id_{{loop.index}}" name="id_{{loop.index}}"
                  value="{{service_order['id']}}">{{service_order['id']}}
              </td>
              {% if service_order['orderItem'][0]['orderItemMessage'] %}
                <td>
                    <class="service" type="text" id="message" name="message"
                    value="{{service_order['orderItem'][0]['orderItemMessage'][0]['messageInformation']}}">{{service_order['orderItem'][0]['orderItemMessage'][0]['messageInformation']}}
                  </td>
              {% else %}
                  <td>
                      <class="service" type="text" id="message" name="message"
                      value="">""
                    </td>
              {% endif %}
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</main>
{% endblock %}
